Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns the details of a direct debit mandate.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "775596ae-2624-40af-a9dc-9756110a4a03", "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03", "reference": "fre4r5tg", "status": "ACTIVE", "priority": 2, "originator": { "id": "123456", "accountName": "Netflix Inc", "address": { "addressType": "ADDR", "addressLine": "Vintners Place, 68, Upper Thames Street", "city": "London", "postcode": "EC4V 3BJ", "countryCode": "GB" } }, "createdAt": "2019-08-24T14:15:22Z" }
The ID of the budget to work with.
36
"775596ae-2624-40af-a9dc-9756110a4a03"
The ID of the direct debit to work with.
The ID of the account to work with.
"F50091"
OK
The unique identifier of the direct debit.
The direct debit reference, which may be set by the originator.
"fre4r5tg"
The status of the direct debit.
ACTIVE
CANCELLED
"ACTIVE"
The payment priority when there are insufficient funds.
1 <= x <= 10
2
Show child attributes
The date the Resource was initially created. ISO 8601 format without milliseconds.
Was this page helpful?